## Tcl8.5.14/Tk8.5.14 Documentation > TkLib > ClrSelect

### Tcl/Tk Applications | Tcl Commands | Tk Commands | Tcl Library | Tk Library

### NAME

Tk_ClearSelection - Deselect a selection

### SYNOPSIS

#include <tk8.5/tk.h>
Tk_ClearSelection(tkwin, selection)

### ARGUMENTS

Tk_Window tkwin (in)
  The selection will be cleared from the display containing this window.

Atom selection (in)
  The name of selection to be cleared.

### DESCRIPTION

Tk_ClearSelection cancels the selection specified by the atom selection for the display containing tkwin. The selection need not be in tkwin itself or even in tkwin's application. If there is a window anywhere on tkwin's display that owns selection, the window will be notified and the selection will be cleared. If there is no owner for selection on the display, then the procedure has no effect.

### KEYWORDS

clear, selection
Copyright © 1995-1997 Roger E. Critchlow Jr. Copyright © 1992-1994 The Regents of the University of California. Copyright © 1994-1996 Sun Microsystems, Inc.